Rygel.UserConfig Reference Manual

# UserConfig

## Object Hierarchy:

## Description:

public class UserConfig : `Object`, Configuration

Manages the user configuration for Rygel.

Namespace: Rygel
Package: librygel-core

## Content:

### Constants:

- public const unowned `string` CONFIG_FILE
- public const unowned `string` IFACE_KEY
- public const unowned `string` PORT_KEY
- public const unowned `string` ENABLED_KEY
- public const unowned `string` UPNP_ENABLED_KEY
- public const unowned `string` TITLE_KEY
- public const unowned `string` TRANSCODING_KEY
- public const unowned `string` MP3_TRANSCODER_KEY
- public const unowned `string` MP2TS_TRANSCODER_KEY
- public const unowned `string` LPCM_TRANSCODER_KEY
- public const unowned `string` WMV_TRANSCODER_KEY
- public const unowned `string` AAC_TRANSCODER_KEY
- public const unowned `string` AVC_TRANSCODER_KEY
- public const unowned `string` ALLOW_UPLOAD_KEY
- public const unowned `string` ALLOW_DELETION_KEY
- public const unowned `string` LOG_LEVELS_KEY
- public const unowned `string` PLUGIN_PATH_KEY
- public const unowned `string` UPLOAD_FOLDER_KEY
- public const unowned `string` VIDEO_UPLOAD_DIR_PATH_KEY
- public const unowned `string` MUSIC_UPLOAD_DIR_PATH_KEY
- public const unowned `string` PICTURE_UPLOAD_DIR_PATH_KEY

### Static methods:

- public static UserConfig get_default () throws `Error`

### Creation methods:

- public UserConfig (`string` file) throws `Error`

### Methods:

- public `bool` get_upnp_enabled () throws `Error`
- public `string` get_interface () throws `Error`
- public `int` get_port () throws `Error`
- public `bool` get_transcoding () throws `Error`
- public `bool` get_mp3_transcoder () throws `Error`
- public `bool` get_mp2ts_transcoder () throws `Error`
- public `bool` get_lpcm_transcoder () throws `Error`
- public `bool` get_wmv_transcoder () throws `Error`
- public `bool` get_aac_transcoder () throws `Error`
- public `bool` get_avc_transcoder () throws `Error`
- public `bool` get_allow_upload () throws `Error`
- public `bool` get_allow_deletion () throws `Error`
- public `string` get_log_levels () throws `Error`
- public `string` get_plugin_path () throws `Error`
- public `string` get_video_upload_folder () throws `Error`
- public `string` get_music_upload_folder () throws `Error`
- public `string` get_picture_upload_folder () throws `Error`
- public `bool` get_enabled (`string` section) throws `Error`
- public `string` get_title (`string` section) throws `Error`
- public `string` get_string (`string` section, `string` key) throws `Error`
- public `ArrayList`<`string`> get_string_list (`string` section, `string` key) throws `Error`
- public `int` get_int (`string` section, `string` key, `int` min, `int` max) throws `Error`
- public `ArrayList`<`int`> get_int_list (`string` section, `string` key) throws `Error`
- public `bool` get_bool (`string` section, `string` key) throws `Error`

### Fields:

- protected `KeyFile` key_file
- protected `KeyFile` sys_key_file